/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2010. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: panelCallback */
#define  PANEL_INSTR_DESC                 2       /* control type: string, callback function: (none) */
#define  PANEL_IDQUERY                    3       /* control type: radioButton, callback function: (none) */
#define  PANEL_RESET                      4       /* control type: radioButton, callback function: (none) */
#define  PANEL_STOP                       5       /* control type: command, callback function: stopButton */
#define  PANEL_START                      6       /* control type: command, callback function: startButton */
#define  PANEL_GRAPH                      7       /* control type: graph, callback function: (none) */
#define  PANEL_DECORATION                 8       /* control type: deco, callback function: (none) */
#define  PANEL_STOP_FREQ                  9       /* control type: scale, callback function: (none) */
#define  PANEL_START_FREQ                 10      /* control type: scale, callback function: (none) */
#define  PANEL_TIME_MODE                  11      /* control type: ring, callback function: (none) */
#define  PANEL_LEVEL                      12      /* control type: ring, callback function: (none) */
#define  PANEL_MEAS_MODE                  13      /* control type: ring, callback function: (none) */
#define  PANEL_DEMODULATOR                14      /* control type: ring, callback function: (none) */
#define  PANEL_BW                         15      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_TIME                  16      /* control type: numeric, callback function: (none) */
#define  PANEL_STEPSIZE                   17      /* control type: numeric, callback function: (none) */
#define  PANEL_RBW                        18      /* control type: numeric, callback function: (none) */
#define  PANEL_DECORATION_2               19      /* control type: deco, callback function: (none) */
#define  PANEL_TIMER                      20      /* control type: timer, callback function: timerCallback */
#define  PANEL_TEXTMSG                    21      /* control type: textMsg, callback function: (none) */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK panelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK startButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK stopButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK timerCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
